## org.eclipse.datatools.sqltools.sqlbuilder
Class SQLBuilderMatchingStrategy

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.SQLBuilderMatchingStrategy

All Implemented Interfaces:
  org.eclipse.ui.IEditorMatchingStrategy

    public class SQLBuilderMatchingStrategy

extends java.lang.Object
implements org.eclipse.ui.IEditorMatchingStrategy

An editor matching strategy (for the SQL Builder editor) that provides its own algorithm for matching the input of an open editor of this type to a given editor input.

Author:
  aoadio

Field Summary
`static java.lang.String` `SQL_BUILDER_ID`

Constructor Summary
`SQLBuilderMatchingStrategy()`

Method Summary
`boolean` `matches(org.eclipse.ui.IEditorReference editorRef, org.eclipse.ui.IEditorInput input)` Returns whether the editor represented by the given editor reference matches the given editor input.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_BUILDER_ID

    public static final java.lang.String SQL_BUILDER_ID

See Also:
  Constant Field Values

Constructor Detail

### SQLBuilderMatchingStrategy

    public SQLBuilderMatchingStrategy()

Method Detail

### matches

    public boolean matches(org.eclipse.ui.IEditorReference editorRef,
                           org.eclipse.ui.IEditorInput input)

  Returns whether the editor represented by the given editor reference matches the given editor input.

  Specified by:
    `matches` in interface `org.eclipse.ui.IEditorMatchingStrategy`